# polymorphicDomainObjectContainer

abstract fun <T> polymorphicDomainObjectContainer(elementType: Class<T>): ExtensiblePolymorphicDomainObjectContainer<T>

Creates a new ExtensiblePolymorphicDomainObjectContainer for managing named objects of the specified type.

The returned container will not have any factories or bindings registered.

#### Return

The container.

#### Since

6.1

#### Parameters

elementType

The type of objects for the container to contain.

<T>

The type of objects for the container to contain.